version: '3.9'

services:
  web:
    build: .
    command: bash -c "
        pip install -r requirements.txt && 
        python manage.py makemigrations && 
        python manage.py migrate && 
        python /code/manage.py runserver 0.0.0.0:8000"
    volumes:
      - .:/code
    ports:
      - 8000:8000
    depends_on:
      - db
      - mailhog
  db:
    image: postgres:15
    volumes:
      - postgres_data:/var/lib/postgresql/data/
    environment:
      - "POSTGRES_HOST_AUTH_METHOD=trust"
  mailhog:
    image: mailhog/mailhog:latest
    restart: always
    ports:
      - 1025:1025
      - 8025:8025

volumes:
  postgres_data:
